#define SDATA P1_1
#define CS P1_0
int i=0;
void warte(float x){
float y=0;
for(y=0;y<160*x;y++)
}
unsigned int data;//hier sollen alle ankommenden Daten gespeichert werden. Auch die Adresse

char platznummer(){
	data=0;
	while(CS==1){}//Daten werden erst gesendet wenn CS erst 1
	while(CS==0){}//und dann 0 wird.
	warte(2.5);//Pause für 2,5 ms
	for(i=0;i<12;i++){//die 12 Bit sollen gespeichert werden
		data*=2;//Daten werden um 1 verschoben. 
		data+=SDATA;//Dadurch werden alle Bits nacheinander gespeichert
		warte(5)//Pause von 5 ms
	}
	if((0b111100000000&data)==0b111000000000)//Wenn die Adresse richtig ist (Dafür werden die ersten 4 bit verglichen)
	{return (0b11111111&data)}//Dann werden die Daten (die letzten 8 bit) ausgegeben
	return platznummer();//ansonsten ruft sie sich noch einmal selber auf. So lange, bis Daten ankommen.
}

